#include <iostream>
#include <fstream>
#include <sstream>
#include "Parser.h"
#include <FlexLexer.h>

using namespace std;

yyFlexLexer *fl;

int Parser::lex()
{
	return fl->yylex();
}

int main( int argc, char* argv[] )
{
	if( argc != 2 )
	{
		cerr << "Egy parancssori argumentum kell!" << endl;
		return 1;
	}
	ifstream in( argv[1] );
	if( !in )
	{
		cerr << "Nem tudom megnyitni: " << argv[1] << endl;
		return 1;
	}
	
	fl = new yyFlexLexer(&in, &cout);
	Parser pars;
	pars.parse();
	return 0;
}
